Subject: Re: [PATCH 08/11] bisect--helper: using `--bisect-state` without an argument is a bug

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 29 Jan 2022 08:04:17 +0100

On Fri, Jan 28 2022, Johannes Schindelin via GitGitGadget wrote:

> From: Johannes Schindelin <[email-masked]>
>
> The `bisect--helper` command is not expected to be used directly by the
> user. Therefore, it is a bug if it receives no argument to the
> `--bisect-state` command mode, not a user error. Which means that we
> need to call `BUG()` instead of `die()`.

I found this commit message confusing with 07/11. I.e. won't this be
"git bisect" directly make this BUG() a bug then?

But no, it won't, because this being a bug has nothing to do with it
being a helper at all. after 07/11, but that it'll be called from an
implicit "if (!argc)" in cmd_bisect(), no?

I think I've either misread that, or this commit message is very
misleading.